Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanOptionManager.PlanGen

    java.lang.Object
      ix.iplan.IPlanOptionManager.PlanGen

Enclosing class:
  IPlanOptionManager

    protected class IPlanOptionManager.PlanGen

extends java.lang.Object

Finds plans for options. A PlanGen represents a replanning capability and can be shared by several sibling options.

Field Summary
`(package private) java.util.List` | `clients`
`(package private) Context` | `homeContext`
`(package private) Context` | `initialPlanContext`
`(package private) java.lang.String` | `name`
`(package private) Predicate1` | `planFilter`
`(package private) int` | `plansReturned`
`(package private) int` | `rejectedPlans`
`(package private) Slip` | `slip`
`(package private) PlanStats` | `stats`

Constructor Summary
`IPlanOptionManager.PlanGen()`

Method Summary
`(package private) void` | `addClient(IPlanOptionManager.Opt opt)`
`(package private) void` | `createPlanner(Plan initialPlan)`
`(package private) void` | `discardPlanner()`
`(package private) void` | `discardYourself()`
`(package private) int` | `getNumberPlansReturned()`
`(package private) PlanStats` | `getStats()`
`(package private) void` | `handleNoPlan()`
`(package private) Plan` | `plan(Plan initialPlan)`
`(package private) void` | `removeClient(IPlanOptionManager.Opt opt)`
`(package private) Plan` | `replan()`
`java.lang.String` | `toString()`
`(package private) void` | `vanish()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### clients

    java.util.List clients

### homeContext

    Context homeContext

### initialPlanContext

    Context initialPlanContext

### slip

    Slip slip

### stats

    PlanStats stats

### plansReturned

    int plansReturned

### planFilter

    Predicate1 planFilter

### rejectedPlans

    int rejectedPlans

Constructor Detail

### IPlanOptionManager.PlanGen

    IPlanOptionManager.PlanGen()

Method Detail

### getStats

    PlanStats getStats()

### getNumberPlansReturned

    int getNumberPlansReturned()

### addClient

    void addClient(IPlanOptionManager.Opt opt)

### removeClient

    void removeClient(IPlanOptionManager.Opt opt)

### vanish

    void vanish()

### discardYourself

    void discardYourself()

### plan

    Plan plan(Plan initialPlan)

### handleNoPlan

    void handleNoPlan()

### replan

    Plan replan()

### createPlanner

    void createPlanner(Plan initialPlan)

### discardPlanner

    void discardPlanner()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD